@ -- ols_reg.prc -- @
@ -- Run standard OLS regression and return betas and R^2 --@

proc(2) = ols_reg(x,y);

	local beta, n, M, r2, xbeta;

	n = rows(y);
	x = x;
	beta = inv(x'*x)*x'*y;
	
	xbeta = x*beta - meanc(x*beta);
	y = y - meanc(y);
	r2 = (xbeta'xbeta)/y'y;
	
retp(beta,r2);

endp;



