/* uniredf.prc */


proc(4) = uniredf(s,nlag,fpe,t);

local y, z, bred, i, aic, e, R2, R2adj;

y = s[fpe:t,.];
z = ones(rows(y),1)~s[fpe-1:t-1,.];  
i = 2; do while i<=nlag;
	z = z~s[fpe-i:t-i,.];
i=i+1; endo;

bred = inv(z'z)*z'y;

@ residuals @
e = y - z*bred;

if cols(y) == 1;
	aic = ln((e'e)/t) + (2*nlag)/t;	@ Aikaike information criterion @
	R2 = 1 - e'e/y'y;
	R2adj = 1 - ((t-1)/(t-nlag))*(1-R2);
elseif cols(y) >= 2;
	R2 = ones(cols(y),1) - diag(e'e)./diag(y'y);
	R2adj = ones(cols(y),1) - ((t-1)/(t-nlag))*(ones(cols(y),1)-R2);
endif;	

@ getting rid of the constant @ 
bred = bred[2:rows(bred),.];	
z = z[.,2:cols(z)];


retp(bred,z,e,R2adj);
endp;

